PreloaderBMP
Date: 2016-04-28

org.apache.xmlgraphics.image.loader.impl

## Class PreloaderBMP

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.xmlgraphics.image.loader.impl.PreloaderBMP

- All Implemented Interfaces:
    ImagePreloader

      public class PreloaderBMP
      extends AbstractImagePreloader

  Image preloader for BMP images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `BMP_SIG_LENGTH` Length of the BMP header

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloaderBMP()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageInfo` | `preloadImage(java.lang.String uri, javax.xml.transform.Source src, ImageContext context)` "Preloads" an image, i.e.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

      `getHeader, getPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BMP_SIG_LENGTH

          protected static final int BMP_SIG_LENGTH

      Length of the BMP header
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PreloaderBMP

          public PreloaderBMP()

  - ### Method Detail

    - #### preloadImage

          public ImageInfo preloadImage(java.lang.String uri,
                               javax.xml.transform.Source src,
                               ImageContext context)
                                 throws java.io.IOException,
                                        ImageException

      "Preloads" an image, i.e. indentifies whether the source image is supported by this implementation and determines the image's intrinsic size and possibly some additional information. The image is usually not fully loaded at this time to conserve memory. The method returns null if the image was not identified. An `ImageException` is only thrown if the image is identified but some error has happened while working on the file.
      Parameters:
        `uri` - the original (unresolved) URI of the image
        `src` - a image source the image is loaded from
        `context` - the context object that provides configuration information
      Returns:
        an image info object with the basic information about an image or null if the image is not supported by this implementation
      Throws:
        `java.io.IOException` - if an I/O error occurs while preloading the image
        `ImageException` - if an error occurs while preloading the image